// Name        : Keith Vertanen
// Username    : kvertanen
// Description : Represents a bunch of objects from the Circle* object
//               hierarchy that bounce around on the screen.  Example
//               of creating a class to house a collection of objects.

import java.util.ArrayList;

public class Bouncers
{
	private ArrayList<Circle> objs = new ArrayList<Circle>();
	
	// Add a random type of bouncing object at a
    // random location, velocity, and radius	
	public void add()         
	{
		// Choose a random number between 0-2
		int rand  = (int) (Math.random() * 3.0);
		
		// Select random location, velocity and radius
		double x  = Math.random();
		double y  = Math.random();
		double vx = 0.002 - Math.random() * 0.004;
		double vy = 0.002 - Math.random() * 0.004;
		double r  = Math.random() * 0.1;
		
		// Now one of the 3 types
		if (rand == 0)
			objs.add(new Circle(x, y, vx, vy, r)); 
		else if (rand == 1)
			objs.add(new CircleImage(x, y, vx, vy, r, "dont_panic_40.png"));
		else
			objs.add(new CircleImageRotate(x, y, vx, vy, r, "asteroid_big.png"));					
	}

	// update the position of all bouncing objects
	public void updateAll()  
	{
		for (Circle obj : objs)
			obj.updatePos();
	}
	
	// draw all the objects to the screen
	public void drawAll()
	{
		for (Circle obj : objs)
			obj.draw();		
	}
	
}
