// Name        : Keith Vertanen
// Username    : kvertanen
// Description : Class that represents an unfilled circle that bounces
//               off the walls and can draw itself using StdDraw.
//               This assumes a standard coordinate system of 0,0 - 1,1

public class Circle
{
	private double x;   // x-position
	private double y;   // y-position
	private double vx;  // x-velocity 
	private double vy;  // y-velocity
	private double r;   // radius

	public Circle(double x, double y, double vx, double vy, double r)
	{
		this.x = x;
		this.y = y;
		this.vx = vx;
		this.vy = vy;
		this.r = r;
	}

	// Draw a red circle centers at our (x, y) and with radius r
	public void draw()
	{
		StdDraw.setPenColor(StdDraw.RED);
		StdDraw.circle(x, y, r);	   
	}      

	// Update the circle based on its velocity.
	// Also invert velocity if our center goes outside the unit box.
	public void updatePos()
	{
		x += vx;
		y += vy;
		
		// Have we hit the left or right wall?
		if ((x < 0.0) || (x > 1.0))
			vx *= -1;
		// Have we hit the top or bottom wall?
		if ((y < 0.0) || (y > 1.0))
			vy *= -1;
	}      
	
	// Getter method for our x-position
	public double getX()
	{
	    return x;	
	}

	// Getter method for our y-position
	public double getY()
    {
        return y;   
    }
	
	// Getter method for our radius
    public double getRadius()
    {
        return r;   
    }
} 
