// Name        : Keith Vertanen
// Username    : kvertanen
// Description : Client program that demonstrates placing different objects
//               of the same type in a single array.

public class CircleClient
{
	public static void main(String[] args)
	{
		Circle [] circles = new Circle[30];
		for (int i = 0; i < circles.length; i++)
		{
			// Choose a random number between 0-2
			int rand  = (int) (Math.random() * 3.0);
			
			// Select random location, velocity and radius
			double x  = Math.random();
			double y  = Math.random();
			double vx = 0.002 - Math.random() * 0.004;
			double vy = 0.002 - Math.random() * 0.004;
			double r  = Math.random() * 0.1;
			
			// Now one of the 3 types
			if (rand == 0)
				circles[i] = new Circle(x, y, vx, vy, r); 
			else if (rand == 1)
				circles[i] = new CircleImage(x, y, vx, vy, r, "dont_panic_40.png");
			else
				circles[i] = new CircleImageRotate(x, y, vx, vy, r, "asteroid_big.png");				
		}
		
		// Animation loop
		while (true)
		{
			StdDraw.clear();
			for (int i = 0; i < circles.length; i++)
			{
				// Notice we can call these methods and the right one
				// will get run depending on the actual type of the 
				// element at array position i.
				circles[i].updatePos();
				circles[i].draw();
			}
			StdDraw.show(10);
		}
	}
}
