// Name        : Keith Vertanen
// Username    : kvertanen
// Description : Class that builds upon the Circle class.
//               The difference is this class draw itself based on a image
//               rather than drawing a simple circle.

public class CircleImage extends Circle
{
	private String image;   // image representing this object

	public CircleImage(double x, double y, double vx, double vy, double r, String image)
	{
		// Run our parent constructor with all the passed in parameters except
		// for the additional image parameter which is specified to this subclass.
		super(x, y, vx, vy, r);
		this.image = image;
	}

	public void draw()
	{
		// Draw centered at the location (instance variables in our parent class).
		// We scale the image to have a height and width that is the diameter of
		// the radius of this circular object.
		StdDraw.picture(getX(), getY(), image, getRadius() * 2, getRadius() * 2);
	}  
	
	// Getter for the image filename 
	public String getImage()
	{
	    return image;
	}
} 
