// Name        : Keith Vertanen
// Username    : kvertanen
// Description : Class that builds upon the CircleImage class.
//               This class builds in a rotation angle that is applied
//               to the image and increases every position update.

public class CircleImageRotate extends CircleImage
{
	private int angle;   // current rotation angle of image

	public CircleImageRotate(double x, double y, double vx, double vy, double r, String image)
	{
		// We can completely use the code in our parent constructor
		super(x, y, vx, vy, r, image);
	}

	public void draw()
	{
		// Draw scaling image to be diameter of radius and rotate
		StdDraw.picture(getX(), getY(), getImage(), getRadius() * 2, getRadius() * 2, angle);
	}
	
	public void updatePos()
	{	 
		// Update the angle rotating clockwise but keep in [0, 359]
		angle = (angle + 1) % 360;
		
		// Run the update code in our parent class
		super.updatePos();				
	}
} 
